gcc-5-cross (33ubuntu2) bionic; urgency=medium

  * Build using 5.5.0-12ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Apr 2018 05:02:56 +0200

gcc-5-cross (33) unstable; urgency=medium

  * Build using 5.5.0-12.
  * Build cross compilers for and64 and i386.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Apr 2018 23:10:44 +0200

gcc-5-cross (32ubuntu1) bionic; urgency=medium

  * Build using 5.5.0-10ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Mar 2018 10:12:20 +0800

gcc-5-cross (32) unstable; urgency=medium

  * Build using 5.5.0-10.
  * Stop building the gcj packages.
  * Build-depend on libisl-0.18-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Mar 2018 09:00:55 +0800

gcc-5-cross (30) unstable; urgency=medium

  * Build using 5.5.0-7.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Jan 2018 12:03:15 +0100

gcc-5-cross (29) unstable; urgency=medium

  * Build using 5.5.0-5.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 07:09:46 +0100

gcc-5-cross (28) unstable; urgency=medium

  * Build using 5.5.0-4.
  * gcj-5: Depend on gcc-5. Addresses: #855640.
  * Fix the libcc1.so symlink for cross compilers. Closes: #881272.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Nov 2017 14:12:01 +0100

gcc-5-cross (27ubuntu2) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2018 04:31:02 +0100

gcc-5-cross (27ubuntu1) bionic; urgency=medium

  * Build using 5.5.0-3ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2017 12:10:58 +0100

gcc-5-cross (27) unstable; urgency=medium

  * Build using 5.5.0-3. Closes: #877449.
  * Bump standards version.
  * Fix build dependency on realpath. Closes: #877816

 -- Matthias Klose <doko@debian.org>  Thu, 02 Nov 2017 11:52:10 +0100

gcc-5-cross (26ubuntu1) zesty; urgency=medium

  * Build using 5.4.1-8ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Mar 2017 16:33:57 +0100

gcc-5-cross (26) unstable; urgency=medium

  * Build-depend on g++-5.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Mar 2017 16:04:08 +0100

gcc-5-cross (25) unstable; urgency=medium

  * Build using 5.4.1-8. Closes: #835777.

 -- Matthias Klose <doko@debian.org>  Sat, 04 Mar 2017 21:25:28 +0100

gcc-5-cross (24ubuntu2) yakkety; urgency=medium

  * Build using 5.4.1-2ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2016 08:27:50 +0200

gcc-5-cross (24ubuntu1) yakkety; urgency=medium

  * Build using 5.4.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jul 2016 17:44:35 +0200

gcc-5-cross (24) unstable; urgency=medium

  * Build using 5.4.0-6. Closes: #827645.
    - Mark cross compilers as M-A: foreign. Closes: #827136.
  * Build gcc-plugin-dev packages.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jul 2016 11:35:08 +0200

gcc-5-cross (23ubuntu1) yakkety; urgency=medium

  * Build using 5.3.1-20ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 May 2016 12:24:07 +0200

gcc-5-cross (23) unstable; urgency=medium

  * Build using 5.3.1-20.

 -- Matthias Klose <doko@debian.org>  Fri, 20 May 2016 12:06:26 +0200

gcc-5-cross (22) unstable; urgency=medium

  * Build using 5.3.1-18.
  * gnat-5-sjlj-* packages are architecture dependent.
  * Fix installing the gcc-5 changelog.
  * Still install the changelog of the gcc-5-cross package as a Debian
    changelog, because the binary packages are versioned as non-native
    packages.
  * Fix building without packages not built from gcc5-source.

 -- Matthias Klose <doko@debian.org>  Tue, 10 May 2016 08:40:47 +0200

gcc-5-cross (21) unstable; urgency=medium

  * Build using 5.3.1-17.
  * Stop building packages built from gcc-6-cross.

 -- Matthias Klose <doko@debian.org>  Thu, 05 May 2016 02:16:06 +0200

gcc-5-cross (20ubuntu6) xenial; urgency=medium

  * Build using 5.3.1-14ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Apr 2016 12:24:07 +0200

gcc-5-cross (20ubuntu5) xenial; urgency=medium

  * Build using 5.3.1-13ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2016 23:10:05 +0200

gcc-5-cross (20ubuntu2) xenial; urgency=medium

  * Test build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Feb 2016 10:26:54 +0100

gcc-5-cross (20ubuntu1) xenial; urgency=medium

  * Build using 5.3.1-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:48:35 +0100

gcc-5-cross (20) unstable; urgency=medium

  * Build using 5.3.1-8.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Feb 2016 09:12:08 +0100

gcc-5-cross (19) unstable; urgency=medium

  * Build using 5.3.1-7.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Jan 2016 14:44:58 +0100

gcc-5-cross (18ubuntu1) xenial; urgency=medium

  * Build using 5.3.1-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2016 11:37:40 +0100

gcc-5-cross (18) unstable; urgency=medium

  * Build using 5.3.1-5.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jan 2016 18:31:56 +0100

gcc-5-cross (17) unstable; urgency=medium

  * Build using 5.3.1-4.
  * Re-enable building libasan for sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Dec 2015 21:36:44 +0100

gcc-5-cross (16) unstable; urgency=medium

  * Build using 5.3.1-2.
  * Disable building libasan for sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2015 20:53:25 +0100

gcc-5-cross (15ubuntu1) xenial; urgency=medium

  * Build using 5.2.1-26ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Nov 2015 15:02:39 +0100

gcc-5-cross (15) unstable; urgency=medium

  * Build using 5.2.1-26.
  * Build libphobos cross packages.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2015 23:13:11 +0100

gcc-5-cross (14ubuntu4) xenial; urgency=medium

  * Fix building epoch'ed packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Nov 2015 00:27:22 +0100

gcc-5-cross (14ubuntu3) xenial; urgency=medium

  * Build using 5.2.1-24ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Nov 2015 18:33:56 +0100

gcc-5-cross (14) unstable; urgency=medium

  * Build using 5.2.1-24.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Nov 2015 17:08:27 +0100

gcc-5-cross (13) unstable; urgency=medium

  * Build using 5.2.1-23.
  * Fix build dependency on gnat-5.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2015 23:26:28 +0100

gcc-5-cross (12ubuntu1) wily; urgency=medium

  * Build using 5.2.1-22ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Oct 2015 00:38:39 +0200

gcc-5-cross (12) unstable; urgency=medium

  * Build using 5.2.1-22.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 14:30:25 +0200

gcc-5-cross (11ubuntu2) wily; urgency=medium

  * Build using 5.2.1-20ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 16:37:38 +0200

gcc-5-cross (11) unstable; urgency=medium

  * Build using 5.2.1-20.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2015 12:34:03 +0200

gcc-5-cross (10ubuntu3) wily; urgency=medium

  * Fix building gnat packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Oct 2015 13:58:26 +0200

gcc-5-cross (10ubuntu2) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -dbg-cross packages.
    - Regenerate the control file.
    - Don't build the mips and mipsel cross compilers.
  * Build using 5.2.1-19ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Oct 2015 12:10:40 +0200

gcc-5-cross (10) unstable; urgency=medium

  * Build using 5.2.1-19.
  * Build gnat cross compiler (YunQiang Su). Closes: #798860.
  * Build cross compilers on x32.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Oct 2015 08:53:26 +0200

gcc-5-cross (9ubuntu2) wily; urgency=medium

  * Build s390x cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Sep 2015 20:07:48 +0200

gcc-5-cross (9ubuntu1) wily; urgency=medium

  * Build using 5.2.1-16ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Sep 2015 22:27:33 +0200

gcc-5-cross (9) unstable; urgency=medium

  * Build using 5.2.1-16.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Sep 2015 22:23:10 +0200

gcc-5-cross (8ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -dbg-cross packages.
    - Regenerate the control file.
  * Build using 5.2.1-12ubuntu1.
  * Don't build the mips and mipsel cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Aug 2015 11:01:07 +0200

gcc-5-cross (8) unstable; urgency=medium

  * Build using 5.2.1-13.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 23:36:07 +0200

gcc-5-cross (7) unstable; urgency=medium

  * Build using 5.1.1-13.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2015 21:42:45 +0200

gcc-5-cross (6) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using 5.1.1-11.
  * Keep -cross packages installable when versions mismatch.

  [ YunQiang Su ]
  * Add support to build packages for mips, mipsel, mips64, mips64el.
    Building packages for mips64, mips64el disabled by default.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2015 23:56:16 +0200

gcc-5-cross (5ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -dbg-cross packages.
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 May 2015 22:15:06 +0200

gcc-5-cross (5) unstable; urgency=medium

  * Build using 5.1.1-8.

 -- Matthias Klose <doko@debian.org>  Wed, 27 May 2015 20:22:50 +0200

gcc-5-cross (4) unstable; urgency=medium

  * Build using 5.1.1-6.
  * Keep ARM32 multilib packages in the control file when requested.
  * Fix generating the cross version on AArch64.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2015 18:15:45 +0200

gcc-5-cross (3ubuntu4) wily; urgency=medium

  * Align the cross version across all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 May 2015 10:23:30 +0200

gcc-5-cross (3ubuntu3) wily; urgency=medium

  * Fix generating the cross version on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 May 2015 15:06:09 +0200

gcc-5-cross (3ubuntu2) wily; urgency=medium

  * Target armel on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2015 21:00:50 +0200

gcc-5-cross (3ubuntu1) wily; urgency=medium

  * Keep ARM32 multilib packages in the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2015 12:01:29 +0200

gcc-5-cross (3) unstable; urgency=medium

  * Build cross compiler packages for GCC 5.
  * Build the exact same compiler without dropping any patches from
    the native build.
  * Build for any frontend that is currently built as a native compiler.
    Leaving out gnat as a work item.
  * Build packages that can be built on the buildds.
  * Initial upload. Closes: #784079.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2015 22:17:42 +0200

gcc-4.9-powerpc-cross (0.9) vivid; urgency=medium

  * Build for 4.9.2-10ubuntu10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 20:16:29 +0100

gcc-4.9-powerpc-cross (0.8) vivid; urgency=medium

  * Build using 4.9.2-10ubuntu5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2015 13:09:43 +0100

gcc-4.9-powerpc-cross (0.7) vivid; urgency=medium

  * Fix typo in cross_mangle_shlibs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Dec 2014 09:08:17 +0100

gcc-4.9-powerpc-cross (0.6) vivid; urgency=medium

  * Fix build of empty sanitizer packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Dec 2014 09:08:07 +0100

gcc-4.9-powerpc-cross (0.5) vivid; urgency=medium

  * Build using ISL 0.14.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2014 11:30:04 +0100

gcc-4.9-powerpc-cross (0.4) utopic; urgency=medium

  * Build-depend on gcc-4.9-source (>= 4.9.1-16ubuntu6).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 16:09:59 +0200

gcc-4.9-powerpc-cross (0.3) utopic; urgency=medium

  * Build for GCC 4.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2014 16:21:11 +0200

gcc-4.9-powerpc-cross (0.2) utopic; urgency=medium

  * Update the libgo soname for GCC 4.9.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 14:45:57 +0200

gcc-4.9-powerpc-cross (0.1) utopic; urgency=medium

  * Build for GCC 4.9.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 12:14:03 +0200

gcc-4.8-powerpc-cross (0.11) trusty; urgency=medium

  * Build-depend on gcc-4.8-source (>= 4.8.1-16).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 07:04:34 +0100

gcc-4.8-powerpc-cross (0.10) trusty; urgency=medium

  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 14:25:46 +0100

gcc-4.8-powerpc-cross (0.9) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-10).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2013 20:11:40 +0200

gcc-4.8-powerpc-cross (0.7) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-7).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2013 11:43:06 +0200

gcc-4.8-powerpc-cross (0.6) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-6).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2013 09:41:38 +0200

gcc-4.8-powerpc-cross (0.5) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-5).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2013 17:12:23 +0200

gcc-4.8-powerpc-cross (0.4) saucy; urgency=low

  * Build gcj-4.8 and gdc-4.8 cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 18:13:19 +0200

gcc-4.8-powerpc-cross (0.3) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-2).
  * Don't build D and Java cross compilers.
  * Don't build the Go cross compiler on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Jun 2013 14:49:17 +0200

gcc-4.8-powerpc-cross (0.2) raring; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.0-2).
  * Add new runtime libs to the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2013 12:29:26 +0200

gcc-4.7-armhf-cross (1.80) raring; urgency=low

  * Update to SVN 20130214 (r196053) from the gcc-4_7-branch.
  * Update the Linaro support to the 4.7-2013.02 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 06:06:10 +0100

gcc-4.7-armhf-cross (1.79) raring; urgency=low

  * Build-depend on gcc-4.7-source (>= 4.7.2-19).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Jan 2013 18:44:29 +0100

gcc-4.7-armhf-cross (1.78) raring; urgency=low

  * Build-depend on gcc-4.7-source (>= 4.7.2-18).
  * Merge powerpc cross build changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 17:34:45 +0100

gcc-4.7-armhf-cross (1.77) raring; urgency=low

  * Build the libgcc1 packages from this source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Dec 2012 16:35:19 +0100

gcc-4.7-armhf-cross (1.76) raring; urgency=low

  * Install into /usr/lib/gcc-cross to avoid file conflicts with the
    native compiler for the target architecture.
  * Don't add /usr/local/include to the standard include path, however
    /usr/local/include/<multiarch> is still on the path.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Dec 2012 12:43:25 +0100

gcc-4.7-armhf-cross (1.75) raring; urgency=low

  * Fix libc6 dependencies for non-default multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Dec 2012 17:25:25 +0100

gcc-4.7-armhf-cross (1.74) raring; urgency=low

  * Configure --with-sysroot=/.
  * Don't choke on building empty packages.
  * Re-enable the multilib builds.
  * Fix -multilib dependencies.
  * Remove obsolete patches.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2012 10:43:40 +0100

gcc-4.7-armhf-cross (1.73) raring; urgency=low

  * No longer build multilib cross compiler. We do not have "armel" anymore.
  * Updated debian/control to 4.7.2-5
  * Added patch to fix libgfortran-4.7-dev section
  * Added patch to fix location of files for libstdc++-dev
  * Keep libgcc-4.7-dev for mangling

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 20 Nov 2012 15:40:37 +0100

gcc-4.7-armhf-cross (1.72) raring; urgency=low

  * Dropped merged patch.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 26 Oct 2012 14:18:40 +0200

gcc-4.7-armhf-cross (1.71) raring; urgency=low

  * Bumped minimal version to 4.7.2-5
  * Handle all new lib*dev packages
  * Updated patches
  * Added libgcc-dev and libobjc-dev into control.in

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 24 Oct 2012 20:56:00 +0200

gcc-4.7-armhf-cross (1.70) quantal; urgency=low

  * Update to gcc 4.7.2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 21 Sep 2012 13:28:25 +0200

gcc-4.7-armhf-cross (1.69) quantal; urgency=low

  * Update to Linaro 2012.09 release.
  * Fixed patch to use multiarch dirs - LP: #799965

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 17 Sep 2012 15:05:28 +0200

gcc-4.7-armhf-cross (1.68) quantal; urgency=low

  * Update to Linaro 2012.08 release.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 31 Aug 2012 13:30:54 +0200

gcc-4.7-armhf-cross (1.67) quantal; urgency=low

  * Update to Linaro 2012.07 release.
  * Dropped merged patches (--disable-multiarch one)
  * Added patch for debian/control.m4 to get cross build working 
    - Debian bug #680590

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 23 Jul 2012 11:11:03 +0200

gcc-4.7-armhf-cross (1.66) quantal; urgency=low

  * Fixed amd64 (arch only) build.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 04 Jul 2012 17:03:32 +0200

gcc-4.7-armhf-cross (1.65) quantal; urgency=low

  * Update to 4.7.1

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 03 Jul 2012 11:34:29 +0200

gcc-4.7-armhf-cross (1.64) quantal; urgency=low

  * Added lintian overrides for errors - LP: #1003226
  * Fixed debian/control entries

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 23 May 2012 14:05:07 +0200

gcc-4.7-armhf-cross (1.63) quantal; urgency=low

  [ Wookey ]
  * Add gcc-4.7 support.

  [ Marcin Juszkiewicz ]
  * Added libobjc4 and Go packages into debian/control.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Sun, 15 Apr 2012 18:39:26 +0200

gcc-4.6-armel-cross (1.62) precise; urgency=low

  * fixed library paths for armhf

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 16 Mar 2012 14:06:39 +0100

gcc-4.6-armel-cross (1.61) precise; urgency=low

  * Apply part of multiarch dirs hack from 1.59 to make cross compiler check
    {/usr}/lib/{TRIPLET} directories - LP: #948790

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 08 Mar 2012 13:50:16 +0100

gcc-4.6-armel-cross (1.60) precise; urgency=low

  * Make -base and -multilib packages arch=all - LP: #934556

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 23 Feb 2012 13:49:44 +0100

gcc-4.6-armel-cross (1.59) precise; urgency=low

  * Fix architecture for packages to not touch arm/powerpc builders - LP: #924927
    - base and multilib ones are arch=all
    - compilers are arch='amd64 i386' not 'any'
  * Bump gcc to 4.6.2-14ubuntu2 to get all debian/control.m4 fixes
  * Wrote better version of patch to use multiarch dirs - LP: #799965

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 16 Feb 2012 18:26:40 +0100

gcc-4.6-armel-cross (1.58) precise; urgency=low

  * Added hack to make cross compiler use multiarch dirs - LP: #799965

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 18 Jan 2012 08:14:22 +0100

gcc-4.6-armel-cross (1.57) precise; urgency=low

  * Rebuild to keep up with recent Ubuntu gcc changes.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 03 Jan 2012 11:33:10 +0100

gcc-4.6-armel-cross (1.56) precise; urgency=low

  * Enabled hardening patches for cross - closes LP: #868924
  * Bumped gcc-4.6 version to 4.6.2-7 as this one has all my patches merged.
  * Dropped gcc-4.4 build dependency.
  * Added lintian overrides.
  * Added build-{arch,indep} targets.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 12 Dec 2011 16:54:17 +0100

gcc-4.6-armel-cross (1.55) oneiric; urgency=low

  * Rebuild to keep up with recent Ubuntu gcc changes.
  * First multilib capable cross toolchain
  * Added hf/sf packages into debian/control.in
  * Added armhf/armel libc6-dev to EXTRA_BUILD_DEPS

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 27 Sep 2011 09:07:59 +0200

gcc-4.6-armel-cross (1.54) oneiric; urgency=low

  * Rebuild to keep up with recent Ubuntu gcc changes.
  * Updated to Linaro 2011.07 release stable updates.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 30 Aug 2011 12:22:36 +0200

gcc-4.6-armel-cross (1.53) oneiric; urgency=low

  * Rebuild to keep up with Linaro 2011.07 release.
  * Use patches from LP: 816852 to disable multilib in gcc build
  * moved patches to patches/gcc/ to avoid patch-modifying-debian-files
    error from lintian

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 28 Jul 2011 17:39:02 +0200

gcc-4.6-armel-cross (1.52) oneiric; urgency=low

  * Update to 2011.06 Linaro release.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 22 Jun 2011 18:00:33 +0200

gcc-4.6-armel-cross (1.51) oneiric; urgency=low

  * Unified gcc-4.[456]-armel-cross packaging
    - one debian/ directory is now used to generate any of those 3 versions
    - next versions of cross compiler are handled too (in very generic way)
    - armel and armhf architectures are handled equal
    - added README with informations how to switch version/architecture
    - added generation of debian/control from control.in file
      - takes care about target architecture
      - allows to add extra build dependencies
      - dropped old, not used code which did similar thing
    - added libobjc3* packages from gcc-4.6 into control
    - added few more files to 'clean' target: *.ddebs debian/files
    - added code to handle building for Linaro backport PPA
    - merged all rules into debian/rules file

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Jun 2011 17:05:20 +0200

gcc-4.6-armel-cross (1.50) oneiric; urgency=low

  * remove orphaned gcc-4.6-plugin-dev-dbgsym package

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 02 Jun 2011 12:00:05 +0200

gcc-4.6-armel-cross (1.49) oneiric; urgency=low

  * Added missing dependency on gcc-4.4

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 02 Jun 2011 09:51:45 +0200

gcc-4.6-armel-cross (1.48) oneiric; urgency=low

  * Final upload to Ubuntu.
  * dropped libgcc1 packages - they are now built from
    armel-cross-toolchain-base
  * re-added source/format

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 31 May 2011 10:19:17 +0200

gcc-4.6-armel-cross (1.47) UNRELEASED; urgency=low

  * again targetting Debian/experimental only
  * added libgcc1 packages
  * renamed libobjc2 -> libobjc3

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 15 Mar 2011 10:23:11 +0100

gcc-4.6-armel-cross (1.46) UNRELEASED; urgency=low

  * First version of gcc 4.6 cross - targetting Debian/experimental only.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 23 Feb 2011 13:50:42 +0000

gcc-4.5-armel-cross (1.45) natty; urgency=low

  * control: added gcc-4.5-plugin-dev-arm-linux-gnueabi - close LP #714968
  * check for proper ver of gcc - need to rename vars later

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 08 Feb 2011 12:09:15 +0100

gcc-4.5-armel-cross (1.44) natty; urgency=low

  * switch to use wildcard instead of listing packages so ddebs will be
    provided - closes LP: #711523

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 02 Feb 2011 12:46:25 +0100

gcc-4.5-armel-cross (1.43) natty; urgency=low

  * update to get gcc 4.5.2 release
  * use PKG_IGNORE_CURRENTLY_BUILDING instead of NO_PKG_MANGLE to allow to
    generate .ddebs
  * control: fix Vcs links

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 25 Jan 2011 12:29:53 +0100

gcc-4.5-armel-cross (1.42) natty; urgency=low

  * added backport PPA support

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 14 Jan 2011 17:17:32 +0100

gcc-4.5-armel-cross (1.41) natty; urgency=low

  * version bump to skip 1.39-1.40 which were PPA only
    - dropped flavoured toolchain support needs to be rewritten
    - control: dropped duplicated fields
    - rules: clean target removes more files

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 29 Nov 2010 12:52:11 +0100

gcc-4.5-armel-cross (1.38) maverick; urgency=low

  [ Marcin Juszkiewicz ]
  * use original packages to populate debian/files
  * add "crossVER" into packages to make them upgradeable with new release of
    gcc-4.5-armel-cross package

  [ Steve Langasek ]
  * Don't conflicts/replace gcc-3.5-base
  * debian/rules.common: add changelog md5sum handling.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Sep 2010 03:06:35 +0000

gcc-4.5-armel-cross (1.37) maverick; urgency=low

  * build also gcc-4.5-arm-linux-gnueabi-base

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 16 Sep 2010 17:08:38 +0200

gcc-4.5-armel-cross (1.36) maverick; urgency=low

  * process only resulting debs - closes LP: #640298

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 16 Sep 2010 15:05:23 +0200

gcc-4.5-armel-cross (1.35) maverick; urgency=low

  * split to gcc-4.4-armel-cross and gcc-4.5-armel-cross

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 14 Sep 2010 11:56:48 +0200

armel-cross-toolchain (1.34) maverick; urgency=low

  * Making improvements to package to get it accepted into Ubuntu.
    - added copyright informations
    - source/format: set to 3.0 (native)
    - added README.source with informations how package works

  * debian/control changes:
    - generated new one with all build dependencies cleaned
    - added entries for generated packages
    - added Vcs- fields
    - removed regeneration of debian/control during build
    - set Priority to extra
    - set "Section: debug" for all -dbg packages

  * debian/rules:
    - dropped version mangling which was needed in ppa
    - dropped using architecture name from rules
    - use quilt to apply patches
    - use "tar -xf" and depend on tar 1.20+

  * GCC changes:
    - updated gcc debian/control.m4 patch to fix all priority and section fields
    - all GCC patches are merged and will be present in next versions of
      gcc-4.4/4.5

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 10 Sep 2010 15:58:30 +0200

armel-cross-toolchain (1.33) maverick; urgency=low

  * sync with armel-cross-toolchain-base

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 08 Sep 2010 11:34:49 +0200

armel-cross-toolchain (1.32) maverick; urgency=low

  * build-depend on binutils-multiarch

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 07 Sep 2010 21:32:59 +0200

armel-cross-toolchain (1.31) maverick; urgency=low

  * fix setting target for gcc 4.5
  * libmudflap is now proper arch

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 07 Sep 2010 09:56:58 +0200

armel-cross-toolchain (1.30) maverick; urgency=low

  * apply patch from LP 631474 to fix plugin-dev package
  * limit to amd64/i386

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 06 Sep 2010 16:12:57 +0200

armel-cross-toolchain (1.29) maverick; urgency=low

  * Bump version 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 15:36:30 +0200

armel-cross-toolchain (1.28) maverick; urgency=low

  * Split ARCH and arch:all steps

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 03 Sep 2010 14:36:18 +0200

armel-cross-toolchain (1.27) maverick; urgency=low

  * Fixed DEB_LIST to not have hardcoded host/target names and package
    versions.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 01 Sep 2010 17:46:58 +0200

armel-cross-toolchain (1.26) maverick; urgency=low

  * Imported few improvements from armel-cross-toolchain-base:
    * use DEB_LIST to populate debian/control
    * added DO_SED_HACKS
    * simplified tasks dependencies
    * started to use DEB_LIST
    * added empty binary-arch
  * gcc-4.4 is in gcc44 directory...
  * hack PKGSOURCE in gcc-4.x packaging to not be read from changelog

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 01 Sep 2010 14:26:28 +0200

armel-cross-toolchain (1.25) maverick; urgency=low

  * Dropped non-gcc steps and variables
  * Build gcc-4.4 and gcc-4.5
  * Added gcc-4.[45]-source build dependencies 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 01 Sep 2010 12:22:23 +0200

armel-cross-toolchain (1.24) maverick; urgency=low

  * First version of final gcc build.

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Mon, 30 Aug 2010 16:54:47 +0200

armel-cross-toolchain-base (1.23) maverick; urgency=low

  * Added texi2html dependency - needed by eglibc.

 -- Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>  Mon, 30 Aug 2010 12:30:53 +0200

armel-cross-toolchain-base (1.22) maverick; urgency=low

  * Added target libraries to LD_LIBRARY_PATH for dpkg-shlibdeps
  * Build gcc-*-base from gcc/stage2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 30 Aug 2010 11:42:53 +0200

armel-cross-toolchain-base (1.21) maverick; urgency=low

  * More build dependencies

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 27 Aug 2010 16:28:16 +0200

armel-cross-toolchain-base (1.20) maverick; urgency=low

  * Use gcc 4.5 by default.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 27 Aug 2010 12:45:14 +0200

armel-cross-toolchain-base (1.19) maverick; urgency=low

  * Use plain Ubuntu packages and apply patches when needed. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 26 Aug 2010 15:59:24 +0200

armel-cross-toolchain-base (1.18) maverick; urgency=low

  * Package libgcc1 in gcc/stage2

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 26 Aug 2010 15:46:09 +0200

armel-cross-toolchain-base (1.17) maverick; urgency=low

  * Split to armel-cross-toolchain-base (binutils, eglibc, linux-headers) and
    armel-cross-toolchain (gcc/stage3).

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 26 Aug 2010 11:58:33 +0200

armel-cross-toolchain (1.16) maverick; urgency=low

  * New code for generating debian/files from -armel-cross packages.
  * Removed copying of linux/debian/{control,files} as we need only
    linux-libc-dev which gets converted with dpkg-cross.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 23 Aug 2010 15:16:37 +0200

armel-cross-toolchain (1.15) maverick; urgency=low

  * Updated to versions with my changes applied. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Mon, 23 Aug 2010 10:43:28 +0200

armel-cross-toolchain (1.14) maverick; urgency=low

  * Bumped gcc-4.4-source to newer patchset.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 11 Aug 2010 17:33:33 +0200

armel-cross-toolchain (1.13) maverick; urgency=low

  * Eglibc/stage2 tried to use Linux headers from /usr/arm-linux-gnueabi/

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Aug 2010 17:30:40 +0200

armel-cross-toolchain (1.12) maverick; urgency=low

  * Remove most of eglibc/localesdata from list of generated ones.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Aug 2010 16:11:36 +0200

armel-cross-toolchain (1.11) maverick; urgency=low

  * Eglibc tried to use Linux headers from /usr/arm-linux-gnueabi/

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Aug 2010 13:29:33 +0200

armel-cross-toolchain (1.10) maverick; urgency=low

  * Fixed build-eglibc1 deps 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Aug 2010 12:37:10 +0200

armel-cross-toolchain (1.9) maverick; urgency=low

  * Fixed build-eglibc1 patch problem.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Aug 2010 12:35:10 +0200

armel-cross-toolchain (1.8) maverick; urgency=low

  * Made init-eglibc really stampless.
  * Fixed build-eglibc1 arch problem.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 10 Aug 2010 11:05:10 +0200

armel-cross-toolchain (1.7) maverick; urgency=low

  * Added NO_PKG_MANGLE=1 as I build other source packages.
  * init-eglibc is stampless as eglibc provides patched source

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Sun, 08 Aug 2010 18:55:10 +0200

armel-cross-toolchain (1.6) maverick; urgency=low

  * Added build-depends from binutils, eglibc, gcc-4.4, linux.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Sun, 08 Aug 2010 18:15:50 +0200

armel-cross-toolchain (1.5) maverick; urgency=low

  * Few more fixes

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Sun, 08 Aug 2010 17:17:56 +0200

armel-cross-toolchain (1.4) maverick; urgency=low

  * Create stamp dir...

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 06 Aug 2010 16:56:57 +0200

armel-cross-toolchain (1.3) maverick; urgency=low

  * Introduced lot of variables which keep versions. Values are taken from
    components changelog files.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 06 Aug 2010 16:56:57 +0200

armel-cross-toolchain (1.2) maverick; urgency=low

  * Fix build dependencies. 

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 06 Aug 2010 12:31:43 +0200

armel-cross-toolchain (1.1) maverick; urgency=low

  * Fixed few lintian problems.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 06 Aug 2010 11:05:59 +0200

armel-cross-toolchain (1.0) maverick; urgency=low

  * Initial packaging

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 05 Aug 2010 13:35:45 +0200
